:root,
[data-theme="default"] {
    --markdown-text-color: #000000;
    --article-links-color: #ffffff;
    --article-links-hover-color: #4686c2;
    --sidebar-background-color: #424643;
    /* --code-font: 'Monospace'; */
    --code-font: 'Trebuchet MS', sans-serif;
}

[data-theme="dark"] {
    --markdown-text-color: #ffffff;
}

[data-theme="modern-light"] {
    --markdown-text-color: #000000;
}

[data-theme="modern-dark"] {
    --markdown-text-color: #ffffff;
}

.container {
    display: grid;
    grid-template-columns: 1fr;
}

#progress-bar {
    position: fixed;
    top: 0;
    left: 0;
    height: 2px;
    background: #1fe678;
    width: 0%;
    z-index: 1001;
}

#sidebar-button {
    position: fixed;
    top: 0;
    right: 0;
    z-index: 999;
    width: fit-content;
    margin: 2px 5px;
}

#sidebar {
    position: fixed;
    top: 0;
    right: 0;
    z-index: 998;
    transform: translateX(100%);
    transition: transform 0.3s ease-in-out;
    border: 1px solid black;

    width: 350px;
    height: 100vh;
    overflow-y: auto;
    background-color: var(--sidebar-background-color);
    color: white;
}

#sidebar.active {
    transform: translateX(0);
    display: block;
}

#sidebar-nav {
    /* overflow-y: auto; */
    border: 1px solid black;
}

#sidebar-nav em {
    margin: 0 5px;
    font-size: x-large;
}

#sidebar-nav ul {
    list-style: none;
    padding: 5px;
    margin-left: 5px;
}

#sidebar-nav li {
    display: flex;
    list-style-position: inside;
    margin: 10px 0;
}

#sidebar-nav a {
    color: var(--article-links-color);
    text-decoration: none;
    margin: 0 10px;
}
#sidebar-nav a:hover {
    color: var(--article-links-hover-color);
    text-decoration: underline;
}


#markdown-info {
    text-align: center;
}

#markdown-viewer {
    width: 90vw;
    /* border: 1px solid black; */
    margin: 0 auto;
    color: var(--markdown-text-color);
}

#markdown-viewer h1 {
    text-align: center;
    text-decoration: underline;
}

#markdown-viewer h2.border-subsection {
    border-top: 2px solid rgba(0, 0, 0, 0.3);
    border-bottom: 2px solid rgba(0, 0, 0, 0.3);
    padding: 10px 0;
    margin: 20px 0;
    text-align: center;
}

#markdown-viewer h3 {
    margin-left: 20px;
}

#markdown-viewer cite{
    display: block;
    margin-left: 10px;
}

#markdown-viewer pre{
    color: white;
    background-color: #201414;
    border-radius: 10px;
    margin: auto 40px;
    padding: 20px 50px;
    font-size: large;
    font-style: oblique;
    overflow-x: scroll;
    overflow-y: scroll;
    line-height: 30px;
}

#markdown-viewer code {
    font-family: var(--code-font);
    letter-spacing: 3px;
    word-spacing: 3px;
}

#markdown-viewer > #references {
    column-count: 2;
    column-gap: 30px;
}
#markdown-viewer > #references p {
    margin: 0 0 8px 0;
    padding: 5px 0;
    break-inside: avoid;
    display: block;
}

footer {
    border-top: 1px solid #000000;
    text-align: center;
    margin: 10px auto;
}